netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
lp.h File Reference
`#include <sys/socket.h>`
`#include <sys/types.h>`
`#include "file.h"`

Go to the source code of this file.

## Functions
void | lp_person (char *)
int | lp_pagecost (void)
void | lp_host (char *)
void | lp_job (char *)
void | lp_for (char *)
void | lp_origin (int)
int | lp_rmjob (int)
int | lp_queue (struct papfile *)
int | lp_cancel (void)
int | lp_print (void)
| Create printcap control file, signal printer.
int | lp_open (struct papfile *, struct sockaddr_at *)
int | lp_write (struct papfile *, char *, size_t)
int | lp_close (void)
int | rresvport (int *__alport)

## Function Documentation

## ◆ lp_cancel()

int lp_cancel | ( | void |  | ) |

cancel current job

## ◆ lp_close()

int lp_close | ( | void |  | ) |

close current spooling file

## ◆ lp_for()

void lp_for | ( | char * | lpfor | ) |

## ◆ lp_host()

void lp_host | ( | char * | host | ) |

## ◆ lp_job()

void lp_job | ( | char * | job | ) |

## ◆ lp_open()

int lp_open | ( | struct papfile * | out,
|  | struct sockaddr_at * | sat )

open a file for spooling

## ◆ lp_origin()

void lp_origin | ( | int | origin | ) |

## ◆ lp_pagecost()

int lp_pagecost | ( | void |  | ) |

## ◆ lp_person()

void lp_person | ( | char * | person | ) |

## ◆ lp_print()

int lp_print | ( | void |  | ) |

Create printcap control file, signal printer.

print current job

Note
  Errors here should remove queue files.

XXX piped?

## ◆ lp_queue()

int lp_queue | ( | struct papfile * |  | ) |

## ◆ lp_rmjob()

int lp_rmjob | ( | int |  | ) |

## ◆ lp_write()

int lp_write | ( | struct papfile * | in,
|  | char * | buf,
|  | size_t | len )

open a buffer to the current open file

## ◆ rresvport()

int rresvport | ( | int * | __alport | ) |
| extern